function getHttpRequestObject(handler) {
 var httpRequest = false;
try {
httpRequest=new XMLHttpRequest;
}
catch(e) {
try {
httpRequest=new ActiveXObject("MSXML2.XMLHTTP");
}
catch(e2) {
try {
httpRequest=new ActiveXObject("Microsoft.XMLHTTP");
}
catch(e3) {
httpRequest=false;
}
}
}
if (!httpRequest) {
alert("XMLHttpRequest init Failed!");
}
     
   httpRequest.onreadystatechange = handler;
   return httpRequest;
}
// 打开和发送非同步请求
function makeRequest(httpRequest, url) {
   httpRequest.open("GET", url, true); // 打开
   httpRequest.send(null);             // 发送
}
var xmlHttp;

function websen_huiyuan(){
 
 xmlHttp = getHttpRequestObject(xianshi);
	 if ( xmlHttp != null ) 
   {
   // var huiyuan=document.all.HYid.value;
   var huiyuan=document.getElementById("HYid").value
	 var url="../../seller/seller_ajax.asp";
	 url =url + "?gsid="+ huiyuan;
	  makeRequest(xmlHttp, url);
	  }
else{
	 alert ("错误!浏览程序不支持XMLHttpRequest对象!");
      return;
	 }


}
function xianshi()
{

 
	
	
	if ( xmlHttp.readyState == 4 ) 
	{
	   websen= document.getElementById("websen_id");
       var xmlResult = xmlHttp.responseXML;
	  
       var str = xmlResult.getElementsByTagName("msg")[0];
       var str1 = xmlResult.getElementsByTagName("mssg")[0];
	   var str2 = xmlResult.getElementsByTagName("mag")[0];
	
	if (str1.childNodes[0].nodeValue==0)
	   {
		   websen.innerHTML="<div class='Juris'><ul><li class='telie'>对不起,您未登录或无权查看此信息！</li><li class='tel'>   咨询热线："+str2.childNodes[0].nodeValue+"</li><li class='Duzer'><a href='../../login/login1.asp' target='_blank'><img src='../../images/login_xina.gif' width='56' height='20' border='0' /></a></li><li class='Duzerl'>还不是会员？ <a href='../../login/register.asp' target='_blank'>立刻免费注册</a></li></ul></div>"
		}
		else
		{
			websen.innerHTML=str.childNodes[0].nodeValue;
		}
	
	}
}
